NX Open C++ Reference Guide
|
Use the SketchInPlaceBuilder to create or reattach a Sketch on a DatumPlane or planar Face . More...
Public Member Functions | |
NXOpen::SelectIReferenceAxis * | Axis () |
Returns the reference axis Created in NX5.0.0. | |
NXOpen::AxisOrientation | AxisOrientation () |
Returns the reference axis orientation (horizontal or vertical) Created in NX5.0.0. | |
bool | CreateIntermediateDatumCsys () |
Returns the create intermediate datum csys toggle. | |
bool | MakeOriginAssociative () |
Returns the associative origin toggle. | |
NXOpen::Plane * | Plane () |
Returns the specified datum plane Created in NX5.0.0. | |
NXOpen::Sketch::PlaneOption | PlaneOption () |
Returns the attachment plane option (existing plane, new plane, new csys) Created in NX5.0.0. | |
NXOpen::SelectISurface * | PlaneOrFace () |
Returns the specified sketch plane Created in NX5.0.0. | |
bool | ProjectWorkPartOrigin () |
Returns the create project work part origin toggle. | |
bool | ReverseAxis () |
Returns the flag to indicate the reference axis is reversed Created in NX5.0.0. | |
bool | ReversePlaneNormal () |
Returns the flag to indicate the normal direction of the sketch plane is reversed. | |
void | SetAxisOrientation (NXOpen::AxisOrientation axisOrientation) |
Sets the reference axis orientation (horizontal or vertical) Created in NX5.0.0. | |
void | SetCreateIntermediateDatumCsys (bool intermediateDatumCsys) |
Sets the create intermediate datum csys toggle. | |
void | SetMakeOriginAssociative (bool associativeOrigin) |
Sets the associative origin toggle. | |
void | SetPlaneOption (NXOpen::Sketch::PlaneOption planeOption) |
Sets the attachment plane option (existing plane, new plane, new csys) Created in NX5.0.0. | |
void | SetProjectWorkPartOrigin (bool projectWorkPartOrigin) |
Sets the create project work part origin toggle. | |
void | SetReverseAxis (bool reverseAxis) |
Sets the flag to indicate the reference axis is reversed Created in NX5.0.0. | |
void | SetReversePlaneNormal (bool reversePlaneNormal) |
Sets the flag to indicate the normal direction of the sketch plane is reversed. | |
void | SetSketchOrigin (NXOpen::Point *origin) |
Sets the origin point for sketch Created in NX7.5.0. | |
NXOpen::Point * | SketchOrigin () |
Returns the origin point for sketch Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Use the SketchInPlaceBuilder to create or reattach a Sketch on a DatumPlane or planar Face .
<br> To create a new instance of this class, use @link SketchCollection::CreateNewSketchInPlaceBuilder SketchCollection::CreateNewSketchInPlaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CreateIntermediateDatumCsys |
1 |
MakeOriginAssociative |
1 |
PlaneOption |
Inferred |
Created in NX5.0.0.
NXOpen::SelectIReferenceAxis* NXOpen::SketchInPlaceBuilder::Axis | ( | ) |
Returns the reference axis
Created in NX5.0.0.
License requirements : None
NXOpen::AxisOrientation NXOpen::SketchInPlaceBuilder::AxisOrientation | ( | ) |
Returns the reference axis orientation (horizontal or vertical)
Created in NX5.0.0.
License requirements : None
bool NXOpen::SketchInPlaceBuilder::CreateIntermediateDatumCsys | ( | ) |
Returns the create intermediate datum csys toggle.
Created in NX7.5.0.
License requirements : None
bool NXOpen::SketchInPlaceBuilder::MakeOriginAssociative | ( | ) |
Returns the associative origin toggle.
Created in NX7.5.0.
License requirements : None
NXOpen::Plane* NXOpen::SketchInPlaceBuilder::Plane | ( | ) |
Returns the specified datum plane
Created in NX5.0.0.
License requirements : None
NXOpen::Sketch::PlaneOption NXOpen::SketchInPlaceBuilder::PlaneOption | ( | ) |
Returns the attachment plane option (existing plane, new plane, new csys)
Created in NX5.0.0.
License requirements : None
NXOpen::SelectISurface* NXOpen::SketchInPlaceBuilder::PlaneOrFace | ( | ) |
Returns the specified sketch plane
Created in NX5.0.0.
License requirements : None
bool NXOpen::SketchInPlaceBuilder::ProjectWorkPartOrigin | ( | ) |
Returns the create project work part origin toggle.
Created in NX7.5.0.
License requirements : None
bool NXOpen::SketchInPlaceBuilder::ReverseAxis | ( | ) |
Returns the flag to indicate the reference axis is reversed
Created in NX5.0.0.
License requirements : None
bool NXOpen::SketchInPlaceBuilder::ReversePlaneNormal | ( | ) |
Returns the flag to indicate the normal direction of the sketch plane is reversed.
This is not applicable when the plane is a Face.
Created in NX5.0.0.
License requirements : None
void NXOpen::SketchInPlaceBuilder::SetAxisOrientation | ( | NXOpen::AxisOrientation | axisOrientation | ) |
Sets the reference axis orientation (horizontal or vertical)
Created in NX5.0.0.
License requirements : None
axisOrientation | axisorientation |
void NXOpen::SketchInPlaceBuilder::SetCreateIntermediateDatumCsys | ( | bool | intermediateDatumCsys | ) |
Sets the create intermediate datum csys toggle.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
intermediateDatumCsys | intermediatedatumcsys |
void NXOpen::SketchInPlaceBuilder::SetMakeOriginAssociative | ( | bool | associativeOrigin | ) |
Sets the associative origin toggle.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
associativeOrigin | associativeorigin |
void NXOpen::SketchInPlaceBuilder::SetPlaneOption | ( | NXOpen::Sketch::PlaneOption | planeOption | ) |
Sets the attachment plane option (existing plane, new plane, new csys)
Created in NX5.0.0.
License requirements : None
planeOption | planeoption |
void NXOpen::SketchInPlaceBuilder::SetProjectWorkPartOrigin | ( | bool | projectWorkPartOrigin | ) |
Sets the create project work part origin toggle.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
projectWorkPartOrigin | projectworkpartorigin |
void NXOpen::SketchInPlaceBuilder::SetReverseAxis | ( | bool | reverseAxis | ) |
Sets the flag to indicate the reference axis is reversed
Created in NX5.0.0.
License requirements : None
reverseAxis | reverseaxis |
void NXOpen::SketchInPlaceBuilder::SetReversePlaneNormal | ( | bool | reversePlaneNormal | ) |
Sets the flag to indicate the normal direction of the sketch plane is reversed.
This is not applicable when the plane is a Face.
Created in NX5.0.0.
License requirements : None
reversePlaneNormal | reverseplanenormal |
void NXOpen::SketchInPlaceBuilder::SetSketchOrigin | ( | NXOpen::Point * | origin | ) |
Sets the origin point for sketch
Created in NX7.5.0.
License requirements : None
origin | origin |
NXOpen::Point* NXOpen::SketchInPlaceBuilder::SketchOrigin | ( | ) |
Returns the origin point for sketch
Created in NX7.5.0.
License requirements : None